summaryrefslogtreecommitdiffstats
path: root/scripts/stl-sim
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/stl-sim')
-rw-r--r--scripts/stl-sim31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/stl-sim b/scripts/stl-sim
new file mode 100644
index 00000000..1ca0322e
--- /dev/null
+++ b/scripts/stl-sim
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# if no variable of $PYTHON is define - we try to find it
+function find_python {
+ # two candidates - machine python and cisco linux python
+ MACHINE_PYTHON=python
+ CEL_PYTHON=/router/bin/python
+
+ # try the machine python
+ PYTHON=$MACHINE_PYTHON
+
+ PCHECK=`$PYTHON -c "import sys; ver = sys.version_info[0] * 10 + sys.version_info[1];sys.exit(ver < 27)"`
+ if [ $? -ne 0 ]; then
+ PYTHON=$CEL_PYTHON
+ PCHECK=`$PYTHON -c "import sys; ver = sys.version_info[0] * 10 + sys.version_info[1];sys.exit(ver < 27)"`
+
+ if [ $? -ne 0 ]; then
+ echo "*** $PYTHON - python version is too old, 2.7 at least is required"
+ exit -1
+ fi
+
+ fi
+
+}
+
+if [ -z "$PYTHON" ]; then
+ find_python
+fi
+
+$PYTHON automation/trex_control_plane/client/trex_stateless_sim.py $@
+